require ("prototypes.fatcontroller_annimation")

data:extend({

{
    type = "player",
    name = "fatcontroller",
    icon = "__base__/graphics/icons/player.png",
    flags = {"pushable", "placeable-player", "placeable-off-grid", "not-repairable", "not-on-map"},
    max_health = 100,
    healing_per_tick = 100,
    collision_box = {{-0.2, -0.2}, {0.2, 0.2}},
	collision_mask = {"ghost-layer"},
    --selection_box = {{-0.4, -1.4}, {0.4, 0.2}},
    crafting_categories = {"crafting"},
    mining_categories = {"basic-solid"},
    inventory_size = 0,
    running_speed = 0,
    distance_per_frame = 0,
    maximum_corner_sliding_distance = 0.7,
    subgroup = "creatures",
    order="z",
    eat =
    {
      {
        filename = "__TheFatController__/sound/empty.ogg",
        volume = 1
      }
    },
    heartbeat =
    {
      {
        filename = "__TheFatController__/sound/empty.ogg"
      }
    },
    animations = fcanimations,
	mining_speed = 0,
	mining_with_hands_particles_animation_positions = {0, 0},
    mining_with_tool_particles_animation_positions = {0},
    running_sound_animation_positions = {0, 0}
  }
  
 })